<div id="table">
  <template>
    <div>
      <b-row>
        <b-col md="4" class="my-1">
          <b-form-group v-show="isShown" label-cols-sm="1" label="Filter:" class="mb-0">
            <b-input-group>
              <b-form-input v-model="filter" placeholder="Type to Search" />
            </b-input-group>
          </b-form-group>
        </b-col>
        <b-col md="4" class="my-1">
          <b-form-group v-show="isShown" label-cols-sm="0" class="mb-0">
            <b-button :pressed.sync="dataTrack" variant="outline-primary">Track Data</b-button>
          </b-form-group>
        </b-col>
        <b-col md="4" class="text-right">
          <b-form-group label-cols-sm="0" class="mb-0">
            <b-button :pressed.sync="isShown" variant="outline-primary">Show Table</b-button>
          </b-form-group>
        </b-col>
      </b-row>
    </div>
    <div v-show='isShown'>
      <div>
        <b-table striped hover show-empty responsive
        :sort-by.sync="sortBy"
        :sort-desc.sync="sortDesc"
        :filter="filter"
        :fields="fields"
        :items="items"
        :current-page="currentPage"
        :per-page="perPage"
        />
      </div>
      <div>
        <b-col md="6" class="my-1">
          <b-pagination
            :total-rows="totalRows"
            :per-page="perPage"
            v-model="currentPage"
            class="my-0"
          />
        </b-col>
      </div>
    </div>
  </template>
</div>
